Set static variables for the static activation
curl --request PATCH \
--url https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/variables"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Activations
Set static variables for the static activation
Updates one or more static variables for the static user’s activation for this environment. The request body will be validated against the variable schema.
PATCH
/
o
/
{organisation_id}
/
environments
/
{environment_id}
/
variables
Set static variables for the static activation
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Body
application/json
The body is of type object.
Response
Variables updated successfully
The response is of type object.
⌘I